<?php
if (!defined("B_PROLOG_INCLUDED") || B_PROLOG_INCLUDED !== true) die();

use Bitrix\Main\Loader;
Loader::includeModule("sale");
Loader::includeModule("catalog");

$arDiscountsId = array();
$arProductDiscounts = CCatalogDiscountSave::GetList(
    array("SORT" => "ASC"),
    array("ACTIVE" => "Y"),
    false,
    false,
    array("ID", 'NAME')
);

if ($arProductDiscounts !== null) {
    while ($Discounts = $arProductDiscounts->Fetch()) {
        $arDiscountId[] = $Discounts['ID'];
        $arDiscountName[] = $Discounts['NAME'];
    }
    $arDiscountsId = array_combine($arDiscountId, $arDiscountName);
} else {
    // Обработка случая, когда нет активных скидок
    $arDiscountsId = array();
}

$arOrdersStatus = array();
$db_sales = CSaleStatus::GetList(
    false,
    false,
    false,
    false,
    array('ID', 'NAME')
);

if ($db_sales !== null) {
    while ($ar_sales = $db_sales->Fetch()) {
        $arOrdersStatusId[] = $ar_sales['ID'];
        $arOrdersStatusName[] = $ar_sales['NAME'];
    }
    $arOrdersStatus = array_combine($arOrdersStatusId, $arOrdersStatusName);
} else {
    // Обработка случая, когда нет статусов заказов
    $arOrdersStatus = array();
}

$arComponentParameters = array(
    "PARAMETERS" => array(
        "DISCOUNT_ID" => array(
            "NAME" => 'ID скидки',
            "TYPE" => "LIST",
            "MULTIPLE" => "N",
            "VALUES" => $arDiscountsId,
            "PARENT" => "BASE",
        ),
        "ORDER_STATUS" => array(
            "NAME" => 'Статус заказа',
            "TYPE" => "LIST",
            "MULTIPLE" => "N",
            "VALUES" => $arOrdersStatus,
            "PARENT" => "BASE",
        ),
    ),
);
?>

